Skip to main content
GET
Get Tms Connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

tms_connection_id
string<uuid>
required

Response

Successful Response

API Model for reading a TMS connection

id
string<uuid>
required

Unique identifier for the TMS connection.

created_at
string<date-time>
required

Timestamp when the connection was created.

updated_at
string<date-time>
required

Timestamp when the connection was last updated.

fleet_id
string<uuid>
required

The Catena ID of the fleet that owns this connection.

tms_id
string<uuid>
required

The ID of the Transportation Management System (TMS).

source_name
enum<string>
required

The name of the TMS integration used for this connection.

Available options:
tms_simulator
credentials
AccessTokenCreds · object
required

Access Token Credentials

status
enum<string>
required

The current status of the connection.

Available options:
active,
failed,
cancelled,
paused,
stale,
deleted
description
string | null
required

A description of the connection. Useful when the fleet has multiple accounts with the same TMS.